package com.xixun.lay.safe;

// Declare any non-default types here with import statements

interface Safe {
    /**
     * safe加密定制aidl
     */
     //安全SDK接口初始化
    int init();
    //设置日志打印等级
    void setLogLevel(int logLevel);
    //获取当前安全SDK的版本信息
    int getSdkVersion();
    //获取当前安全通信连接状态
    int getSafeConnectState();
    //与网关服务器建立安全通道
    int createSafeConnect(String url);
    //关闭与网关服务器建立的安全通道
    int destroySafeConnect();
}
